org.eclipse.rdf4j.query.algebra.helpers

## Class QueryModelTreeToGenericPlanNode

- java.lang.Object
- - org.eclipse.rdf4j.query.algebra.helpers.AbstractQueryModelVisitor<RuntimeException>
  - - org.eclipse.rdf4j.query.algebra.helpers.QueryModelTreeToGenericPlanNode

- All Implemented Interfaces:
    QueryModelVisitor<RuntimeException>

      @Experimental
       @InternalUseOnly
      public class QueryModelTreeToGenericPlanNode
      extends AbstractQueryModelVisitor<RuntimeException>

  Convert TupleExpr (QueryModelNode) to GenericPlanNode for the Query.explain(...) feature.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `QueryModelTreeToGenericPlanNode(QueryModelNode topTupleExpr)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `GenericPlanNode` | `getGenericPlanNode()`
    `protected void` | `meetNode(QueryModelNode node)` Method called by all of the other `meet` methods that are not overridden in subclasses.

    - ### Methods inherited from class org.eclipse.rdf4j.query.algebra.helpers.AbstractQueryModelVisitor

      `meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meetBinaryTupleOperator, meetBinaryValueOperator, meetCompareSubQueryValueOperator, meetNAryValueOperator, meetOther, meetSubQueryValueOperator, meetUnaryTupleOperator, meetUnaryValueOperator, meetUpdateExpr`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### QueryModelTreeToGenericPlanNode

          public QueryModelTreeToGenericPlanNode(QueryModelNode topTupleExpr)

  - ### Method Detail

    - #### getGenericPlanNode

          public GenericPlanNode getGenericPlanNode()

    - #### meetNode

          protected void meetNode(QueryModelNode node)

      Description copied from class: `AbstractQueryModelVisitor`
      Method called by all of the other `meet` methods that are not overridden in subclasses. This method can be overridden in subclasses to define default behaviour when visiting nodes. The default behaviour of this method is to visit the node's children.
      Overrides:
        `meetNode` in class `AbstractQueryModelVisitor<RuntimeException>`
      Parameters:
        `node` - The node that is being visited.

Copyright © 2015-2022 Eclipse Foundation. All Rights Reserved.